Package org.bgerp.plugin.clb.team.dao

# Class PartyDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.plugin.clb.team.dao.PartyDAO

public class PartyDAO extends CommonDAO
Party DAO.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartyDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Party`
  `get(String secret)`
  Selects a single entity by secret.
  `List<PartyMember>`
  `getMembersWithPayments(int partyId)`
  Selects party members with payments.
  `PartyMember`
  `getOrCreateMember(int partyId, String title)`
  Selects existing or creates a party member.
  `void`
  `memberDelete(int id)`
  Deletes a party member.
  `void`
  `memberUpdate(PartyMember member)`
  Creates or updates a party member.
  `void`
  `paymentDelete(int id)`
  `void`
  `paymentUpdate(PartyPayment payment)`
  `void`
  `update(Party party)`
  Creates or updates a party.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PartyDAO

    public PartyDAO(Connection con)

- ## Method Details

  - ### update

    public void update(Party party) throws SQLException
    Creates or updates a party.
    Parameters:
      `party` -
    Throws:
      `SQLException`

  - ### get

    public Party get(String secret) throws SQLException
    Selects a single entity by secret.
    Parameters:
      `secret` - a secret string.
    Returns:
    Throws:
      `SQLException`

  - ### getOrCreateMember

    public PartyMember getOrCreateMember(int partyId, String title) throws SQLException
    Selects existing or creates a party member.
    Parameters:
      `partyId` -
      `title` -
    Returns:
    Throws:
      `SQLException`

  - ### getMembersWithPayments

    public List<PartyMember> getMembersWithPayments(int partyId) throws SQLException
    Selects party members with payments.
    Parameters:
      `partyId` - party ID.
    Returns:
    Throws:
      `SQLException`

  - ### memberUpdate

    public void memberUpdate(PartyMember member) throws SQLException
    Creates or updates a party member.
    Parameters:
      `member` -
    Throws:
      `SQLException`

  - ### memberDelete

    public void memberDelete(int id) throws SQLException
    Deletes a party member.
    Parameters:
      `id` - member DB entity ID.
    Throws:
      `SQLException`

  - ### paymentUpdate

    public void paymentUpdate(PartyPayment payment) throws SQLException
    Throws:
      `SQLException`

  - ### paymentDelete

    public void paymentDelete(int id) throws SQLException
    Throws:
      `SQLException`